Skip to main content
GET
List provider accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

id
string | null

Unique identifier of the provider account. Cannot be provided together with fqn.

fqn
string | null

FQN of the provider account. Cannot be provided together with id.

includeInfraProviders
boolean | null
default:true

Include infrastructure providers.

includeModelProviders
boolean | null
default:true

Include model providers.

includeMCPProviders
boolean | null
default:true

Include MCP server providers.

includeGuardrailConfigs
boolean | null
default:true

Include guardrail config providers.

includeCustomEndpoints
boolean | null
default:true

Include custom endpoint providers.

redactAuthData
boolean
default:false

When true, redacts sensitive auth data from the response.

attributes
string[] | null

Comma-separated list of attributes to return (e.g. id,name). When provided, only the specified fields are fetched. id is always included.

Response

Paginated list of provider accounts.

data
ProviderAccount · object[]
required

List of provider accounts.

pagination
Pagination · object
required

Pagination metadata.